Subject: [manet] AODVv2 (was RE: Resolving the Reactive Protocol issue)

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 18 Dec 2012 18:07:16 +0000

Hi Henning,

I agree that both DYMO and LOADng are a new version of AODV. After I
understood from the co-chair the WG position, I got to a point that I just
want a solution not later than the next meeting,

AB

On Tue, Dec 18, 2012 at 5:01 PM, Henning Rogge <[email-masked]>wrote:

> On Tue, Dec 18, 2012 at 5:57 PM, Adrian Farrel <[email-masked]>
> wrote:
> > Since I have now had 6 responses and only 1 was on the list, can I just
> say:
> > that's OK.
> >
> > Reponses in private are just fine. I am not trying to build WG
> consensus, but
> > (as the ITU might say) take the mood of the room.
>
> Does this mean this "taking the mood" will turn into a vote later? ;)
>
> Yes, I am also for getting a reactive protocol done. I think AODV2 and
> LOADng are not that far from each other, but the LOADng draft is much
> easier to read and to implement.
>
> Henning Rogge
> --
> Steven Hawkings about cosmic inflation: "An increase of billions of
> billions of percent in a tiny fraction of a second. Of course, that
> was before the present government."
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 19 Dec 2012 01:48:02 +0100

Hi Charlie,

I agree with you totally and I thank you for all your input. Also, I
am always with the WG documents/efforts and commitments, and never
like to change my position or commitment. When MANET WG in the past
have taken the DYMO doc as WG doc it made a commitment and many
participants have spend time and efforts to make it as standard. On
the other hand, I understood that the MANET WG chair indicated that if
a work was parked then no WG commitment to parking documents, which I
don't know if it is a past/old/present IETF rule. DYMO was parked not
because no commitment, but maybe due to the WG was bussy. However,
that rule if was true as IETF practice will never encourage future
participants to participate or progress within long term work flow.
Therefore, the proposed solution will help to force for progress.

IMHO, the AODVv2 is the best document to be standard for the first
reactive protocol in IETF, and if not chosen, then I recommend that it
should be submitted to any other organisation under the copyright of
the authors and remove the IETF.

AB

On 12/18/12, Charles E. Perkins <[email-masked]> wrote:
>
> Hello folks,
>
> I can't change the past events that have brought us to this
> point.  But I'd at least like to encourage optimism about the
> progress of the existing WG document.  Here is why:
>
> - The last WG document revision submitted is also the first
>     one which logistically I was able to bring up to a good
>     standard of correctness, and readability.  It shows my
>     commitment to produce a high-quality document.
>
> - I reiterate that LOADng should be supported as a set of
>    choices from among the optional features of the WG reactive
>    protocol specification.  While I was not able to accomplish
>    this by working with the other LOADng authors to merge
>    the documents, I have always been explicit that this was the
>    desired outcome.
>
> Well, that's about as far as I know how to get into the political
> waters.  I've always set about doing the things I promised to
> do, and so far during the last year I have done so.  That also
> includes to make a consensus and good quality WG document.
>
> Regards,
> Charlie P.